%define name	kwavecontrol
%define version	0.4
%define release 1mdk

Name: 	 	%{name}
Summary: 	GUI for wireless networking
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Patch:		%name-0.4-cpp.patch.bz2
URL:		http://kwavecontrol.sourceforge.net/
License:	GPL
Group:		System/Configuration/Networking
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick gettext kdebase-devel
Requires:	wireless-tools

%description
KWaveControl is a little tool for WaveLAN(TM) wireless cards based on the
wireless extensions. It works under Linux with KDE and docks into the panel.
The tray icon in the panel shows you the actual link quality. The main
window indicates information about the device, where you can also change some
of the settings if you are root.

%prep
%setup -q
cd src
%patch

%build
%configure2_5x --disable-rpath --with-qt-libraries=%_prefix/lib/qt3/%_lib
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="KWaveControl" longtitle="Wireless networking GUI" section="System/Configuration/Networking"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/hi32-app-%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/hi32-app-%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/hi32-app-%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING TODO README admin/ChangeLog
%doc %_datadir/doc/HTML/*/%name
%{_bindir}/%name
#%{_datadir}/%name
%{_datadir}/applnk/Utilities/*
%{_datadir}/apps/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_iconsdir}/hicolor/*/apps/*
%{_miconsdir}/%name.png

%changelog
* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 0.4-1mdk
- 0.4
- lib64 fix
- new patch

* Sat Jun 12 2004 Austin Acton <austin@mandrake.org> 0.3-3mdk
- patch for new gcc
- remove libtoolize
- configure 2.5
- new menu

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Rebuild

* Wed Nov 12 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
